Bug 179558 - During installer package selection cannot refuse Bluetooth
During installer package selection cannot refuse Bluetooth
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
powerpc Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-02-01 08:15 EST by Bill Jones
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-06 14:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Jones 2006-02-01 08:15:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
During the GUI installer package selection I cannot refuse Bluetooth -- I uncheck it but it rechecks itself; other selections behave in a similar fashion.

Version-Release number of selected component (if applicable):
FC5T2 CD PPC Installer set

How reproducible:

Steps to Reproduce:
1.  Try to customize the package selection
2.  Packages that are known to not be needed are forced as default
3.  Packages are installed whether you choose them or not.

Actual Results:  Modem/Dial-up services and Bluetooth (as examples) are installed even though they are not selected during package selection.

Expected Results:  Packages which are not selected should not be installed.

Additional info:

Maybe if there were better indications of co-dependencies (possibly similar to the Debian installer) I would them be less confused than I am.

I under stand that the Debian installer provides MORE information than is actually needed to complete an installation -- however FC installation phases have provided substantially less than I personally would like to see.
Comment 1 Jeremy Katz 2006-02-01 08:32:17 EST
If you then just try to remove the packages after install, are there things
which require them?
Comment 2 Bill Jones 2006-02-03 11:33:32 EST
No, the bluez* "set" can be yum removed and no other package depends upon them
-- which is why I am confused as to why they were installed to start with.

I mean it's not like ppc64_utils which has 260+ packages depend upon it.
Comment 3 Jeremy Katz 2006-02-03 19:13:21 EST
Can you attach /var/log/anaconda* and /root/install.log?
Comment 4 Bill Jones 2006-02-03 19:47:18 EST
Here are the installer logs; after a successful build:


Comment 5 Jeremy Katz 2006-02-06 14:27:41 EST
Okay, I just tried this with current rawhide (well, rawhide plus a fix for a
thing or two that's actually broken in current rawhide :-) and it seems to be
fixed now.  There were definitely some kinks in the UI code in test2 that have
been worked out since then, so this is probably just caught up in those changes.

Note You need to log in before you can comment on or make changes to this bug.